 package scone.util.tokenstream;


/**
 * indicates a TokenBufferIndexOutOfBoundsException
 * @author Volkert Buchmann (ported from code by Steve Ihde), 
 *         IBM Almaden Research Center, 
 *         (c) Copyright IBM Corp 2000
 * @version 1.0
 */
public class TokenBufferIndexOutOfBoundsException extends IndexOutOfBoundsException {

    /**
     * Constructs a new TokenBufferIndexOutOfBoundsException with no message.     
     */
    public TokenBufferIndexOutOfBoundsException() {
        super();
    }

    /**
     * Constructs a new TokenBufferIndexOutOfBoundsException with a detailed message.     
     * @param   message The detailed message.
     */
    public TokenBufferIndexOutOfBoundsException(String m) {
        super(m);
    }

}
